Loading...
Searching...
No Matches
caf::mixin::sender< Base, Subtype > Class Template Reference

A sender is an actor that supports self->send(...). More...

`#include <sender.hpp>`

## Public Types

using | extended_base = sender

## Public Member Functions

template<class... Ts>
| sender (Ts &&... xs)
template<message_priority P = message_priority::normal, class... Ts>
void | send (const group &dest, Ts &&... xs)
| Sends {xs...} as an asynchronous message to dest with priority mp.
template<message_priority P = message_priority::normal, class Dest, class... Ts>
detail::enable_if_t<!std::is_same< group, Dest >::value > | send (const Dest &dest, Ts &&... xs)
| Sends {xs...} as an asynchronous message to dest with priority mp.
template<message_priority P = message_priority::normal, class Dest = actor, class... Ts>
void | anon_send (const Dest &dest, Ts &&... xs)
template<message_priority P = message_priority::normal, class Dest = actor, class... Ts>
detail::enable_if_t<!std::is_same< Dest, group >::value > | scheduled_send (const Dest &dest, actor_clock::time_point timeout, Ts &&... xs)
| Sends a message at given time point (or immediately if timeout has passed already).
template<class... Ts>
void | scheduled_send (const group &dest, actor_clock::time_point timeout, Ts &&... xs)
| Sends a message at given time point (or immediately if timeout has passed already).
template<message_priority P = message_priority::normal, class Rep = int, class Period = std::ratio<1>, class Dest = actor, class... Ts>
detail::enable_if_t<!std::is_same< Dest, group >::value > | delayed_send (const Dest &dest, std::chrono::duration< Rep, Period > rel_timeout, Ts &&... xs)
| Sends a message after a relative timeout.
template<class Rep = int, class Period = std::ratio<1>, class Dest = actor, class... Ts>
void | delayed_send (const group &dest, std::chrono::duration< Rep, Period > rtime, Ts &&... xs)
| Sends a message after a relative timeout.
template<message_priority P = message_priority::normal, class Dest = actor, class... Ts>
void | scheduled_anon_send (const Dest &dest, actor_clock::time_point timeout, Ts &&... xs)
template<message_priority P = message_priority::normal, class Dest = actor, class Rep = int, class Period = std::ratio<1>, class... Ts>
void | delayed_anon_send (const Dest &dest, std::chrono::duration< Rep, Period > rel_timeout, Ts &&... xs)
template<class Rep = int, class Period = std::ratio<1>, class... Ts>
void | delayed_anon_send (const group &dest, std::chrono::duration< Rep, Period > rtime, Ts &&... xs)

## Detailed Description

template<class Base, class Subtype>
class caf::mixin::sender< Base, Subtype >

A sender is an actor that supports self->send(...).

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/mixin/sender.hpp